/************************************************************/
/*    NAME: ENSTA                                              */
/*    ORGN: MIT                                             */
/*    FILE: SimDVL.h                                          */
/*    DATE: December 29th, 1963                             */
/************************************************************/

#ifndef SimDVL_HEADER
#define SimDVL_HEADER

#include "MOOS/libMOOS/Thirdparty/AppCasting/AppCastingMOOSApp.h"

class SimDVL : public AppCastingMOOSApp
{
 public:
   SimDVL();
   ~SimDVL() {};

 protected: // Standard MOOSApp functions to overload  
   bool OnNewMail(MOOSMSG_LIST &NewMail);
   bool Iterate();
   bool OnConnectToServer();
   bool OnStartUp();

 protected: // Standard AppCastingMOOSApp function to overload 
   bool buildReport();

 protected:
   void registerVariables();

 private: // Configuration variables

 private: // State variables
   double nav_VX;
   double nav_VY;
   double nav_VZ;
   double dvl_accuracy_X;
   double dvl_accuracy_Y;
   double dvl_accuracy_Z;
   double dvl_bias_X;
   double dvl_bias_Y;
   double dvl_bias_Z;

};

#endif 
